# Source code for our paper: "Integrating Trickle Timing in Software Defined WSNs for Energy Efficiency"

https://ieeexplore.ieee.org/document/8465747

@INPROCEEDINGS{8465747, 

author={N. Q. Hieu and N. Huu Thanh and T. T. Huong and N. Quynh Thu and H. V. Quang}, 

booktitle={2018 IEEE Seventh International Conference on Communications and Electronics (ICCE)}, 

title={Integrating Trickle Timing in Software Defined WSNs for Energy Efficiency}, 

year={2018}, 

volume={}, 

number={}, 

pages={75-80}, 

keywords={energy conservation;Internet of Things;IP networks;routing protocols;software defined networking;telecommunication power management;wireless sensor networks;Internet of Things applications;IPv6 routing protocol for low-power and lossy networks;IP-based distributed routing paradigm;wireless sensor networks;trickle timer;SDN-WISE protocol;routing polices;network performance optimization;radio duty cycle;wireless network;network performance;Software Defined Networking;centralized routing solution;RPL;routing mechanisms;energy efficiency;Software Defined WSNs;Wireless sensor networks;Routing;Software;Media Access Protocol;Timing;Internet of Things}, 

doi={10.1109/CCE.2018.8465747}, 

ISSN={}, 

month={July},}


## SDN-WISE Controller directory: contiki/tools/sdnwise-controller

## Node directory: sdn-wise-contiki with some added functions